package com.jeeplus.test.signature.domain;

/**
 * 印章坐标表
 * @author: 大猫
 * @create: 2021-11-04 14:19
 **/
public class Stamper {
    private String documentId;  //合同文档ID
    private String type;        //签章类型：SEAL_CORPORATE（公章）,ACROSS_PAGE（骑缝章）,TIMESTAMP（时间戳）
    private String sealId;      //印章ID
    private Integer page;        //签署页码，从1开始，坐标定位时必传，0:全部页，-1:最后一页，其他:第page页
    private Boolean allPage;     //是否签署所有页面
    private Double x;           //签署位置在页面宽的占比，取值0~1，坐标定位时必传，关键字定位时选传
    private Double y;           //签署位置在页面高的占比，取值0~1，坐标定位时必传，关键字定位时选传
    private String keyword;     //定位关键字

    public String getDocumentId() {
        return documentId;
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSealId() {
        return sealId;
    }

    public void setSealId(String sealId) {
        this.sealId = sealId;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Boolean getAllPage() {
        return allPage;
    }

    public void setAllPage(Boolean allPage) {
        this.allPage = allPage;
    }

    public Double getX() {
        return x;
    }

    public void setX(Double x) {
        this.x = x;
    }

    public Double getY() {
        return y;
    }

    public void setY(Double y) {
        this.y = y;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }
}
